Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 518262 - Select All buttons on errata package push do not work
Summary: Select All buttons on errata package push do not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Partha Aji
QA Contact: Miroslav Suchý
URL:
Whiteboard:
Depends On:
Blocks: sat540-canfix
TreeView+ depends on / blocked
 
Reported: 2009-08-19 16:59 UTC by Jay Dobies
Modified: 2018-11-02 08:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 14:52:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jay Dobies 2009-08-19 16:59:50 UTC
Description of problem:
This happens in two places:
#1 - When publishing errata on the page that requests which packages from the errata to push into the channel.
#2 - When adding packages to an already published errata and selecting which packages to push into the channel.

Version-Release number of selected component (if applicable):
5.3

How reproducible:
Always

Steps to Reproduce:

To reproduce #1:
----------------
1. Push packages into the Satellite (I used just a handful). Do not put in a channel.
2. Create an empty channel.
3. Create a new errata (details of the errata are irrelevant).
4. Add the packages added in step 1 to the errata.
5. Select to publish the errata.
6. Select the empty channel.

The next screen will ask you which packages to add to the channel. Clicking Select All here currently appears to do nothing; all packages remain unselected afterwards.


To reproduce #2:
----------------
1. Push packages into the Satellite (I used just a handful). Do not put in a channel.
2. Create an empty channel.
3. Create a new errata (details of the errata are irrelevant). Unlike above *do not* add any packages at this time.
4. Publish the errata to the empty channel.
5. Go back into the errata through the Manage Errata leftnav and add the packages from step 1.

After adding and confirming the packages it should give you the screen to push the newly added packages to the channel (similar to the screen in #1 above). Again, the Select All here currently appears to do nothing.


Additional info:

Comment 1 Jay Dobies 2009-08-19 18:56:26 UTC
commit	2726ca31970b36b97977e866ce37f63067a58367
tree	0da40afa7f7a3f21bb2cd38e28eeb9a5c9f3b087

java/code/src/com/redhat/rhn/frontend/action/errata/PackagePushSetupAction.java
java/code/webapp/WEB-INF/pages/errata/addpackagepackagepush.jsp
java/code/webapp/WEB-INF/pages/errata/packagepush.jsp
java/code/webapp/WEB-INF/struts-config.xml


Fixed select all buttons when selecting erratum packages to push to a channel.

The issue was two fold:

- The non-setup pages were configured to redirect back to the setup pages.
- The setup pages always cleared the sets; they needed to not clear if it was a submitted page leading into it.

Comment 2 Aurelien Gouny 2010-07-05 23:37:49 UTC
Maybe related: when publishing an errata to a channel, if there are more than 25 rpms related to that errata the list spans over 2 pages but if you select a set on the 1st page then move to the 2nd page the selection you did on the 1st page disappeared (0 selected).

- Aurelien.

Comment 3 Miroslav Suchý 2010-10-06 12:51:42 UTC
Both scenarios now works.

Comment 4 Šimon Lukašík 2010-10-21 09:08:36 UTC
Revalidated in stage. (both scenarios with many packages and paging).

Comment 5 Clifford Perry 2010-10-28 14:47:58 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.